%define _optlevel 3
%define rname BillardGL

Name: billardgl
Version: 1.75
Release: alt5

Summary: 3d billard simulation using OpenGL
Group: Games/Boards
License: GPL
Url: http://www.billardgl.de

Provides: %rname = %version-%release
Obsoletes: %rname <= %version-%release

Source: %rname-%version.tar.bz2
Source3: %rname.16.xpm
Source4: %rname.32.xpm
Source5: %rname.48.xpm

Patch1: BillardGL-1.70-def_lang.patch

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: XFree86-devel XFree86-libs gcc2.96-c++ libGLU-devel libglut-devel libstdc++2.96-devel

%description
3d billard simulation using OpenGL

Stefan Disch, Tobias Nopper, Martina Welte

University of Freiburg / Germany
Department of computer-sience

%prep
%setup -q -n %rname-%version/src/
%patch1 -p2

#find -type f -exec `which dos2unix` {} \;

%build
%make_build CC=gcc-2.96 CXX=g++-2.96 LINK=g++-2.96 CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
mkdir -p %buildroot/%_datadir/%rname/lang
mkdir -p %buildroot/%_gamesbindir

cp %rname %buildroot/%_gamesbindir
cp lang/*.lang %buildroot/%_datadir/%rname/lang
cp -R Texturen %buildroot/%_datadir/%rname

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%rname
?package(%name):command="%rname" \
		  icon=%rname.xpm \
		  needs="x11" \
		  section="Amusement/Sports" \
		  title="%rname" \
		  longtitle="Free OpenGL-billard"
EOF
mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%rname.xpm
install -m 644 %SOURCE4 %buildroot/%_iconsdir/%rname.xpm
install -m 644 %SOURCE5 %buildroot/%_liconsdir/%rname.xpm

%post
%update_menus

%postun
%clean_menus


%files
#%%doc README INSTALL
%doc README
%_gamesbindir/%rname
%_datadir/%rname
%_menudir/%rname
%_iconsdir/%rname.xpm
%_liconsdir/%rname.xpm
%_miconsdir/%rname.xpm

%changelog
* Tue Jun 29 2004 Sergey V Turchin <zerg at altlinux dot org> 1.75-alt5
- fix menu section

* Tue Apr 27 2004 Sergey V Turchin <zerg at altlinux dot org> 1.75-alt4
- rename package to lowercase

* Tue Nov 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.75-alt3
- rebuild

* Mon May 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.75-alt2
- fix lang files location

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1.75-alt1
- new version

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1.70-alt1
- new version

* Fri Apr 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1.60-alt2
- fix %%Group

* Wed Mar 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1.60-alt1
- build for Sysiphus

* Wed Mar 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.60-alt0.1
- initial spec

